---
lang: en
title: 'API docs: context.contextview.resolve'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.contextview.resolve.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ContextView](./context.contextview.md) &gt; [resolve](./context.contextview.resolve.md)

## ContextView.resolve() method

Resolve values for the matching bindings

<b>Signature:</b>

```typescript
resolve(session?: ResolutionSession): ValueOrPromise<T[]>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  session | <code>ResolutionSession</code> | Resolution session |

<b>Returns:</b>

`ValueOrPromise<T[]>`


